using System;

class Program
{
    static void Main()
    {
        string[] str = Console.ReadLine().Split();
        string[] input = Console.ReadLine().Split();
        int n = int.Parse(str[0]);
        int l = int.Parse(str[1]);
        int[] h = new int[n];
        for(int i = 0; i < n; i++)
            h[i] = int.Parse(input[i]);
        for(int i = 0; i < n;i++)
        {
            if (l >= h[i])
            {
                Console.WriteLine(i + 1);
                return;
            }
        }
        Console.WriteLine(-1);
        Console.ReadLine();
    }
}